import JSBI from 'jsbi';
export declare type BigintIsh = JSBI | bigint | string;
export declare enum ChainId {
    MAINNET = 1,
    STANDALONE = 1281,
    MOONROCK = 1286,
    MOONBASE = 1287,
    MOONSHADOW = 1288
}
export declare enum TradeType {
    EXACT_INPUT = 0,
    EXACT_OUTPUT = 1
}
export declare enum Rounding {
    ROUND_DOWN = 0,
    ROUND_HALF_UP = 1,
    ROUND_UP = 2
}
export declare const FACTORY_ADDRESS: {
    [key: string]: string;
};
export declare const PYLON_FACTORY_ADDRESS: {
    [key: string]: string;
};
export declare const INIT_CODE_HASH = "0x67a162f6e3634be7a81e58f73c97b461b1d268f03444493d0f80098a2299d00f";
export declare const PYLON_CODE_HASH = "0xcbde427958933e902032b5337b746f94be82aec616708c78cccd4fb5ba0f5563";
export declare const MINIMUM_LIQUIDITY: JSBI;
export declare const ZERO: JSBI;
export declare const ONE: JSBI;
export declare const TWO: JSBI;
export declare const THREE: JSBI;
export declare const FIVE: JSBI;
export declare const TEN: JSBI;
export declare const EIGHTEEN: JSBI;
export declare const BASE: JSBI;
export declare const _100: JSBI;
export declare const _997: JSBI;
export declare const _1000: JSBI;
export declare enum SolidityType {
    uint8 = "uint8",
    uint256 = "uint256"
}
export declare const SOLIDITY_TYPE_MAXIMA: {
    uint8: JSBI;
    uint256: JSBI;
};
